VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vapi::Metadata::Metamodel::ErrorInfo Class Reference
Inheritance diagram for Com::Vmware::Vapi::Metadata::Metamodel::ErrorInfo:

## Avaliable Methods
public method | set_documentation ()
public method | get_documentation ()
public method | get_structure_id ()
public method | set_structure_id ()
public method | new ()

## Detailed Description

The `Com::Vmware::Vapi::Metadata::Metamodel::ErrorInfo` class contains the metadata information about the error elements contained in an operation element.

## Member Function Documentation

public method Com::Vmware::Vapi::Metadata::Metamodel::ErrorInfo::get_documentation | ( |  | ) |

Gets the value of 'documentation' property.

Return values

  documentation | - The current value of the field. The English language documentation for the service element. It can contain HTML markup and Javadoc tags. String#

Code:
click to view
# Number of lines of code in get_documentation: 4
sub get_documentation {
my ($self, %args) = @_;
return $self->{'documentation'};
}

public method Com::Vmware::Vapi::Metadata::Metamodel::ErrorInfo::get_structure_id | ( |  | ) |

Gets the value of 'structure_id' property.

Return values

  structure_id | - The current value of the field. Identifier for the structure element corresponding to the error that is being reported by the operation. ID#

Code:
click to view
# Number of lines of code in get_structure_id: 4
sub get_structure_id {
my ($self, %args) = @_;
return $self->{'structure_id'};
}

public method Com::Vmware::Vapi::Metadata::Metamodel::ErrorInfo::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vapi::Metadata::Metamodel::ErrorInfo structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 18
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{structure_id} = $args{'structure_id'};
$self->{documentation} = $args{'documentation'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vapi::Metadata::Metamodel::ErrorInfo');
$self->set_binding_name('name' => 'com.vmware.vapi.metadata.metamodel.error_info');
$self->set_binding_field('key' => 'structure_id', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'documentation', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
bless $self, $class;
return $self;
}

public method Com::Vmware::Vapi::Metadata::Metamodel::ErrorInfo::set_documentation | ( |  | ) |

Sets the given value for 'documentation' property.

Parameters

  documentation | - New value for the field. The English language documentation for the service element. It can contain HTML markup and Javadoc tags.

Code:
click to view
# Number of lines of code in set_documentation: 5
sub set_documentation {
my ($self, %args) = @_;
$self->{'documentation'} = $args{'documentation'};
return;
}

public method Com::Vmware::Vapi::Metadata::Metamodel::ErrorInfo::set_structure_id | ( |  | ) |

Sets the given value for 'structure_id' property.

Parameters

  structure_id | - New value for the field. Identifier for the structure element corresponding to the error that is being reported by the operation.

Code:
click to view
# Number of lines of code in set_structure_id: 5
sub set_structure_id {
my ($self, %args) = @_;
$self->{'structure_id'} = $args{'structure_id'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vapi/Metadata/Metamodel/ErrorInfo.pm